#include <windows.h>

#include "Error.h"
#include "VideoSourceImages.h"
//==============================//
//=====  MODIFICATION PNG  =====//
//=====    -= Cyrius =-    =====//
//BEGIN ========================//
#include "PNG/VideoSourceImagesPNG.h"
//END ==========================//
#include "InputFileImages.h"

extern const char g_szError[];

//==============================//
//=====  MODIFICATION PNG  =====//
//=====    -= Cyrius =-    =====//
//BEGIN ========================//
InputFileImages::InputFileImages(bool png)
{
	isPNG = png;
//END ==========================//
	audioSrc = NULL;
	audio2Src = NULL;//	pulco 05/11/2002 : could cause vdub to crash when opening image sequences
	videoSrc = NULL;
}

InputFileImages::~InputFileImages() {
	delete videoSrc;
}

void InputFileImages::Init(char *szFile) {
//==============================//
//=====  MODIFICATION PNG  =====//
//=====    -= Cyrius =-    =====//
//BEGIN ========================//
	//videoSrc = new VideoSourceImages(szFile);
	if(isPNG)
		videoSrc = new VideoSourceImagesPNG(szFile);
	else
		videoSrc = new VideoSourceImages(szFile);
//END ==========================//
}

void InputFileImages::setOptions(InputFileOptions *_ifo) {
}

InputFileOptions *InputFileImages::createOptions(const char *buf) {
	return NULL;
}

InputFileOptions *InputFileImages::promptForOptions(HWND hwnd) {
	return NULL;
}

void InputFileImages::setAutomated(bool fAuto) {
}

void InputFileImages::InfoDialog(HWND hwndParent) {
	MessageBox(hwndParent, "No file information is available for image sequences.", g_szError, MB_OK);
}
